package net.murakamin.sticker.commands;

import net.murakamin.sticker.CommandRunner;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class StopCommand implements Command
{
	private final Log log = LogFactory.getLog(Command.class);

	public void execute(final CommandRunner runner) throws Exception
	{
		this.log.info("Stopコマンドによりプログラムを終了します");
		runner.stopCommandExecution();
		runner.run(this);
	}

	public VersionTerm getVersionTerm()
	{
		return new VersionTerm("0.1.4");
	}

	public boolean isDebugPrint()
	{
		return false;
	}

	@Override
	public String toString()
	{
		return "<stop>";
	}

}
